package com.ssj.bean.weixin.zyb.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年9月26日 下午1:56:31 
 * 类说明  年级课程知识点考点
 */
@Entity
@Table(name = "zyb_know_how_details_kd")
public class ZuoybKnowHowDetailsKd extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8003332622380236393L;
	
	private String howDetailsId;
	
	private String howId;

	private String name;
	
	private Date createTime;
	
	private Integer num;
	
	 /**
     * 要点梳理（新）
     */
    private String ydsl;
    /**
     * 要点梳理图片
     */
    private String img;
    /**
     * 标签（数学用到）
     */
    private String label;
   /**
    * 考点对应的级别。 1最小 ，多个用,分开
    */
    private String level;
    
    /**
  	 * 版本选择
  	 */
  	private String[] version;
  	
  	/**
  	 * 1上学期，2下学期
  	 */
  	private Integer semester;
  	
  	/**
  	 * 数字年级
  	 */
  	private Integer gradeNum;

	public String getHowDetailsId() {
		return howDetailsId;
	}

	public void setHowDetailsId(String howDetailsId) {
		this.howDetailsId = howDetailsId;
	}

	public String getHowId() {
		return howId;
	}

	public void setHowId(String howId) {
		this.howId = howId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}
	@Column(updatable =false)
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}
	@Transient
	public String[] getVersion() {
		return version;
	}

	public void setVersion(String[] version) {
		this.version = version;
	}
	@Transient
	public Integer getSemester() {
		return semester;
	}

	public void setSemester(Integer semester) {
		this.semester = semester;
	}
	@Transient
	public Integer getGradeNum() {
		return gradeNum;
	}

	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}
	
	
	
	
	
	
	
}
